Subject: Re: bug#3286: NS hang in event handling

From: Alan Third <[email-masked]>
Date: Tue, 17 May 2016 19:02:45 +0100

David Reitter <[email-masked]> writes:

> I can reproduce a hang (C-g doesn't work) pretty reliably in a current
> build (NS port, on OS X 10.5.7) using this recipe:
>
> [Prerequisite: ESS must be installed]
>
> Emacs -q  (actually, Aquamacs)
>
> Evaluate the bit of code shown at the bottom of this e-mail
>
> C-x b test-buffer RET
> M-x R-mode RET
> M-x R RET  ;; to open an R process
>
> then switch back to test-buffer and start typing randomly.  I don't
> need to type much to reproduce this.
> Emacs wil hang and not react to anything except changing faces when
> the mouse cursor is moved over text with `mouse-face' properties.

Hi David, are you still getting this in Emacs 25? I don't seem to have
the required bits and pieces to test it myself, but can probably get
them. I've no idea what ESS is, though.

-- 
Alan Third